CVE-2022-1383

Name
CVE-2022-1383
Description
Heap-based Buffer Overflow in GitHub repository radareorg/radare2 prior to 5.6.8. The bug causes the program reads data past the end of the intented buffer. Typically, this can allow attackers to read sensitive information from other memory locations or cause a crash.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
CONFIRM https://huntr.dev/bounties/02b4b563-b946-4343-9092-38d1c5cd60c9
MISC https://github.com/radareorg/radare2/commit/1dd65336f0f0c351d6ea853efcf73cf9c0030862

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:radare:radare2:*:*:*:*:*:*:*:* radare2 >= None < 5.6.8

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
radare2 3.15-community 5.5.0-r0 Valery Kartel <valery.kartel@gmail.com> possibly vulnerable